RK-A2 - Task #3821

Store option choices in order in DS. Remove option randomization in FE
03/25/2025 12:44 PM - Ram Kordale

Status: Feedback Start date: 03/25/2025
Priority: Urgent Due date:

Assignee: Shubham Boke % Done: 100%
Category: Estimated time: 0.60 hour
Target version: Spent time: 0.00 hour
Description

Sometimes, explanation steps are aware of the option choices. For example, it could say "option (a) which is blah 1 cannot be correct
because of the issue bleh 1...". So, we cannot afford to randomize the option choices on the FE side.

Going forward, we will be saving the shuffled other_choices data (Including the answer choice) in the DS while processing in the
Colab. FE needs to be updated to handle this accordingly.

History

#1 - 03/25/2025 01:23 PM - Shubham Boke

- Description updated

#2 - 03/25/2025 02:29 PM - Ram Kordale

- Subject changed from Remove option randomization in FE to Store option choices in order in DS. Remove option randomization in FE

#3 - 03/25/2025 02:33 PM - Ram Kordale
- Priority changed from High to Urgent

#4 - 03/26/2025 05:21 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.60 h

#5 - 03/26/2025 11:59 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#6 - 03/26/2025 11:59 AM - Shubham Boke

- Status changed from In Progress to Resolved

#7 - 03/26/2025 12:00 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Parag Patil

#8 - 03/27/2025 06:08 AM - Parag Patil
- Assignee changed from Parag Patil to Shubham Boke

#9 - 03/27/2025 06:09 AM - Parag Patil

- Status changed from Review to Feedback
